--- toast-linux	2004/04/18 23:09:41	1.29
+++ toast-linux	2004/04/18 23:39:24	1.30
@@ -859,7 +859,7 @@
 
 echo "Configuring network."
 
-IF="`echo \"$DNS\" | sed -e 's/[^a-z0-9]/ /g; s/^  *//; s/  *$//'`"
+IF="`echo \"$IF\" | sed -e 's/[^a-z0-9]/ /g; s/^  *//; s/  *$//'`"
 IP="`echo \"$IP\" | sed -e 's/[^0-9\.]/ /g; s/^  *//; s/  *$//'`"
 NM="`echo \"$NM\" | sed -e 's/[^0-9\.]/ /g; s/^  *//; s/  *$//'`"
 GW="`echo \"$GW\" | sed -e 's/[^0-9\.]/ /g; s/^  *//; s/  *$//'`"
@@ -1114,6 +1114,18 @@
 
 chmod go-w "$target/dev"
 chmod -R go-w "$target/etc" 2>/dev/null || true # ignore broken symlinks
+
+[ -z "$USERS" ] && USERS=user
+USERS="`echo \"$USERS\" | sed -e 's/[^a-z0-9]/ /g; s/^  *//; s/  *$//'`"
+uid=500
+for i in $USERS; do
+  echo "$i:x:$uid:$uid:$i:/home/$i:/bin/zsh" >> "$target/etc/passwd"
+  echo "$i:x:$uid:" >> "$target/etc/group"
+  [ -r "$target/etc/user" ] || echo $i > "$target/etc/user"
+  mkdir -p "$target/home/$i"
+  chown $i.$i "$target/home/$i"
+  let uid="1+$uid"
+done
 
 --- FILE root/sbin/devices ---
 #!/bin/sh